Last Comment Bug 599207 - "TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 2 took too long to finish!" and others
: "TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 2...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Networking: WebSockets (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2010-09-23 18:04 PDT by Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
Modified: 2012-11-25 19:31 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2010-09-23 18:04:10 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1285284837.1285288185.1874.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/09/23 16:33:57 
s: win32-slave07
29163 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 2 took too long to finish!
29170 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | the ws connection in test 6 should be closed cleanly
29171 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 6 took too long to finish!
29175 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | the ws connection in test 8 should be closed cleanly
29180 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | the ws connection in test 10 should be closed cleanly
29181 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 10 took too long to finish!
29185 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | the ws connection in test 11 should be closed cleanly
29187 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 12 took too long to finish!
29189 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | the ws connection in test 13 should be closed cleanly
29190 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 13 took too long to finish!
29192 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | the ws connection in test 14 should be closed cleanly
29196 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | Test timed out.
29199 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket_hello.html | the ws connection in test 16 should be closed cleanly
29200 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket_hello.html | Test timed out.
29204 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_ws_basic_tests.html | All the messages should have been processed! - got 4, expected 0
29205 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_ws_basic_tests.html | Didn't receive all the messages! - got 0, expected 1000
29206 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_ws_basic_tests.html | Didn't receive all the messages! - got 0, expected 100

This happened on http://hg.mozilla.org/mozilla-central/rev/626d22af7eff, but there's really no chance it caused this.  The machines were under very high load around this push, and there were several other timeouts.
Comment 1 Treeherder Robot 2010-11-18 18:09:46 PST
jruderman%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1290130877.1290132134.1222.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test mochitests-1/5 on 2010/11/18 17:41:17

s: talos-r3-leopard-008
30653 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 3 took too long to finish!
Comment 2 Treeherder Robot 2010-11-18 18:10:59 PST
cjones
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1290130877.1290132134.1222.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test mochitests-1/5 on 2010/11/18 17:41:17

s: talos-r3-leopard-008
30653 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 3 took too long to finish!
Comment 3 Treeherder Robot 2010-11-18 19:35:13 PST
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1290130641.1290132080.1062.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey opt test mochitests-1/5 on 2010/11/18 17:37:21

s: talos-r3-snow-034
30660 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 3 took too long to finish!
Comment 4 Treeherder Robot 2011-01-31 11:53:44 PST
wjohnston%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1296496356.1296498725.31849.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitests-1/5 on 2011/01/31 09:52:36

s: talos-r3-leopard-007
30887 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 3 took too long to finish!
Comment 5 Treeherder Robot 2011-06-03 20:28:30 PDT
mbrubeck%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1307154067.1307156782.12526.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2011/06/03 19:21:07

s: talos-r3-fed64-044
37445 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 2 took too long to finish!
Comment 6 Treeherder Robot 2011-07-13 06:42:51 PDT
dao
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Beta/1310518553.1310522180.26044.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-beta debug test mochitests-1/5 on 2011/07/12 17:55:53

s: talos-r3-snow-059
38157 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 2 took too long to finish!
38206 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | didn't called close on test 3!
Comment 7 Treeherder Robot 2011-07-13 08:35:36 PDT
bz%mit.edu
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Aurora/1310518680.1310522081.25631.gz
Rev3 Fedora 12x64 mozilla-aurora debug test mochitests-1/5 on 2011/07/12 17:58:00

s: talos-r3-fed64-048
37387 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 2 took too long to finish!
Comment 8 Treeherder Robot 2011-07-13 08:35:46 PDT
bz%mit.edu
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Aurora/1310518541.1310522176.26034.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-aurora debug test mochitests-1/5 on 2011/07/12 17:55:41

s: talos-r3-leopard-059
38113 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 3 took too long to finish!
Comment 9 Treeherder Robot 2011-07-19 20:02:31 PDT
njn
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1311125996.1311129784.30330.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test mochitests-1/5 on 2011/07/19 18:39:56

s: talos-r3-snow-037
38325 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | test 2 took too long to finish!
38373 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | didn't called close on test 3!
39488 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket_basic.html | Test timed out.
39492 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket_hello.html | Connection closed cleanly
Comment 10 Treeherder Robot 2011-08-09 18:31:27 PDT
mfinkle%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1312910978.1312914150.12167.gz
Rev3 WINNT 5.1 mozilla-central debug test mochitests-1/5 on 2011/08/09 10:29:38

s: talos-r3-xp-033
TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | application timed out after 330 seconds with no output
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, killing pid 3836
Comment 11 Matt Brubeck (:mbrubeck) 2011-08-09 21:17:45 PDT
comment 10 is mis-starred; filed a new bug 677840
Comment 12 Patrick McManus [:mcmanus] 2012-01-05 08:40:03 PST
this orange has been squashed.
many more bugs still remain
but now you are closed.

Note You need to log in before you can comment on or make changes to this bug.